<?php
/*
* @version $Id: example.php 273 2009-04-01 10:41:19Z dih $
*/

require_once( 'includes/OpenTTDLibException.php' );
require_once( 'includes/OpenTTDLibPacket.php' );
require_once( 'includes/OpenTTDLib.php' );

$openttd = new OpenTTDLib();

$openttd->setOption( OpenTTDLib::OPTION_RETURNTYPE, OpenTTDLib::RETURNTYPE_ARRAY );
$openttd->setOption( OpenTTDLib::OPTION_CACHE_NEWGRF, false );

try{
	$openttd->queryServer( 'openttd.dihedral.de', 3979, OpenTTDLib::QUERYTYPE_INFO );
}
catch( OpenTTDLibException $e ){
	die( $e->getMessage() . "\n" . $e->getTraceAsString() );	
}

$info	= $openttd->getInfo();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><?php echo $info['name']?></title>
</head>
<body>
	<h3>
	<img src="images/<?php echo $info['map_set']?>_landscape.png" style="vertical-align:middle" alt="mapset <?php echo $info['map_set']?>" />
	<?php echo $info['name']?> (<?php echo $info['revision']?>)
	<?php if($info['dedicated']){?>
	<img src="images/dedicated.png" alt="dedicated" />
	<?php }else{?>
	<img src="images/nondedicated.png" alt="nondedicated" />
	<?php }?>
	<?php if($info['use_password']){?>
	<img src="images/lock.png" />
	<?php }?>
	<img src="images/<?php echo $info['server_lang']?>_lang.gif" alt="severlang <?php echo $info['server_lang']?>" />
	</h3>
	<table>
		<tr>
			<td>Map width</td>
			<td><?php echo $info['map_width']?></td>
		</tr>
		<tr>
			<td>Map height</td>
			<td><?php echo $info['map_height']?></td>
		</tr>
		<tr>
			<td>Game Start</td>
			<td><?php echo $info['start_date']?></td>
		</tr>
		<tr>
			<td>Current date</td>
			<td><?php echo $info['game_date']?></td>
		</tr>
		<tr>
			<td>Companies</td>
			<td><?php echo $info['companies_on']?>/<?php echo $info['companies_max']?></td>
		</tr>
		<tr>
			<td>Clients</td>
			<td><?php echo $info['clients_on']?>/<?php echo $info['clients_max']?></td>
		</tr>
		<tr>
			<td>Spectators</td>
			<td><?php echo $info['spectators_on']?></td>
		</tr>
		<tr>
			<td>Map name</td>
			<td><?php echo $info['map_name']?></td>
		</tr>
	</table>
</body>
</html>
